Bug 1655887 - [Kuryr-Tempest-Plugin] No python-openshift package in Fedora/CentOS
Summary: [Kuryr-Tempest-Plugin] No python-openshift package in Fedora/CentOS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-kuryr-tests-tempest
Version: 15.0 (Stein)
Hardware: All
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Luis Tomas Bolivar
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 07:58 UTC by Daniel Mellado
Modified: 2019-10-29 13:48 UTC (History)
6 users (show)

Fixed In Version: python-kuryr-tests-tempest-0.4.1-0.20190401185124.0d51e99.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:19:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1654833 0 medium CLOSED Review Request: python-kubernetes - add python-kuberenetes to EPEL 7 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1654835 0 medium CLOSED Review Request: python-google-auth - Add python-google-auth to EPEL 7 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1659281 0 medium CLOSED Review Request: python-dictdiffer - Dictdiffer is a module that helps you to diff and patch dictionaries 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1659282 0 medium CLOSED Review Request: python-string_utils - A python module containing utility functions for strings 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1659286 0 medium CLOSED Review Request: python-openshift - Python client for the OpenShift API 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:49 UTC

Description Daniel Mellado 2018-12-04 07:58:36 UTC
Description of problem:

As there's no rpm package for python-openshift [1], which is needed by kuryr tempest plugin in order to perform openshift testing, we're totally capped in terms of adding new tests to rpm/puddles.

As of now, *all* new builds coming from DLRN are capped to [2], which means that no newer test will ever land at some point into a new build.

[1] https://pypi.org/project/openshift/
[2] https://github.com/redhat-openstack/rdoinfo/blob/master/rdo.yml#L6952-L6955


How reproducible:

Fetch any rpm from https://trunk.rdoproject.org/centos7-master/report.html and kuryr-test-tempest will be capped at 22a7a3b09d7f1d3b92492377b00cfe8a51151778


Expected results:

For python-openshift to be available as an rpm and the builds uncapped.


Additional info:

It seems that generating the rpm was kinda tricky in terms of dependencies, as there were some issues with GoogleAuth and a few more packages.

Comment 4 Jason Montleon 2019-02-19 13:49:37 UTC
These are available now:
python3-kubernetes.noarch  8.0.0-8.fc29    updates
python3-openshift.noarch   1:0.8.4-3.fc29  updates

Comment 9 errata-xmlrpc 2019-09-21 11:19:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.